
TYPO3.Flow - Feature # 42355

Status: Resolved Priority: Should have
Author: Christopher Hlubek Category:
Created: 2012-10-24 Assigned To: Christopher Hlubek
Updated: 2012-10-29 Due date:
PHP Version:
Has patch: No
Complexity:
Subject: Use public key fingerprint for UUID in RsaWalletService
Description
Revision 8a706f20 - 2012-10-26 11:23 - Christopher Hlubek

[FEATURE] Identify key pair by fingerprint in RsaWalletService

This change uses SSH compatible fingerprints of the RSA public
key instead of a random UUID to store keys. This allows to have
a consistent reference of keys across systems.

This change is backwards-compatible with the old behavior, because#
stored keys can still be used with their generated UUID.

Change-Id: If9652838f013e219c42c18df2765db79ebf28296
Releases: 1.2
Resolves: #42355

History
#1 - 2012-10-24 17:12 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15925

#2 - 2012-10-26 11:23 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15925

#3 - 2012-10-26 11:23 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15925

#4 - 2012-10-29 20:35 - Christopher Hlubek
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:8a706f20a7bd3cd34f08778a52a40acf35f17313.
